Box2D: b2WheelJoint Class Reference

| Box2D 2.3.0 A 2D Physics Engine for Games

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
b2WheelJoint Class Reference

`#include <b2WheelJoint.h>`

Inheritance diagram for b2WheelJoint:

## Public Member Functions
b2Vec2 | GetAnchorA () const
| Get the anchor point on bodyA in world coordinates.
b2Vec2 | GetAnchorB () const
| Get the anchor point on bodyB in world coordinates.
b2Vec2 | GetReactionForce (float32 inv_dt) const
| Get the reaction force on bodyB at the joint anchor in Newtons.
float32 | GetReactionTorque (float32 inv_dt) const
| Get the reaction torque on bodyB in N*m.
const b2Vec2 & | GetLocalAnchorA () const
| The local anchor point relative to bodyA's origin.
const b2Vec2 & | GetLocalAnchorB () const
| The local anchor point relative to bodyB's origin.
const b2Vec2 & | GetLocalAxisA () const
| The local joint axis relative to bodyA.
float32 | GetJointTranslation () const
| Get the current joint translation, usually in meters.
float32 | GetJointSpeed () const
| Get the current joint translation speed, usually in meters per second.
bool | IsMotorEnabled () const
| Is the joint motor enabled?
void | EnableMotor (bool flag)
| Enable/disable the joint motor.
void | SetMotorSpeed (float32 speed)
| Set the motor speed, usually in radians per second.
float32 | GetMotorSpeed () const
| Get the motor speed, usually in radians per second.
void | SetMaxMotorTorque (float32 torque)
| Set/Get the maximum motor force, usually in N-m.
float32 | GetMaxMotorTorque () const
float32 | GetMotorTorque (float32 inv_dt) const
| Get the current motor torque given the inverse time step, usually in N-m.
void | SetSpringFrequencyHz (float32 hz)
| Set/Get the spring frequency in hertz. Setting the frequency to zero disables the spring.
float32 | GetSpringFrequencyHz () const
void | SetSpringDampingRatio (float32 ratio)
| Set/Get the spring damping ratio.
float32 | GetSpringDampingRatio () const
void | Dump ()
| Dump to b2Log.
Public Member Functions inherited from b2Joint
b2JointType | GetType () const
| Get the type of the concrete joint.
b2Body * | GetBodyA ()
| Get the first body attached to this joint.
b2Body * | GetBodyB ()
| Get the second body attached to this joint.
b2Joint * | GetNext ()
| Get the next joint the world joint list.
const b2Joint * | GetNext () const
void * | GetUserData () const
| Get the user data pointer.
void | SetUserData (void *data)
| Set the user data pointer.
bool | IsActive () const
| Short-cut function to determine if either body is inactive.
bool | GetCollideConnected () const
virtual void | ShiftOrigin (const b2Vec2 &newOrigin)
| Shift the origin for any points stored in world coordinates.

## Protected Member Functions
| b2WheelJoint (const b2WheelJointDef *def)
void | InitVelocityConstraints (const b2SolverData &data)
void | SolveVelocityConstraints (const b2SolverData &data)
bool | SolvePositionConstraints (const b2SolverData &data)
Protected Member Functions inherited from b2Joint
| b2Joint (const b2JointDef *def)

## Protected Attributes
float32 | m_frequencyHz
float32 | m_dampingRatio
b2Vec2 | m_localAnchorA
b2Vec2 | m_localAnchorB
b2Vec2 | m_localXAxisA
b2Vec2 | m_localYAxisA
float32 | m_impulse
float32 | m_motorImpulse
float32 | m_springImpulse
float32 | m_maxMotorTorque
float32 | m_motorSpeed
bool | m_enableMotor
int32 | m_indexA
int32 | m_indexB
b2Vec2 | m_localCenterA
b2Vec2 | m_localCenterB
float32 | m_invMassA
float32 | m_invMassB
float32 | m_invIA
float32 | m_invIB
b2Vec2 | m_ax
b2Vec2 | m_ay
float32 | m_sAx
float32 | m_sBx
float32 | m_sAy
float32 | m_sBy
float32 | m_mass
float32 | m_motorMass
float32 | m_springMass
float32 | m_bias
float32 | m_gamma
Protected Attributes inherited from b2Joint
b2JointType | m_type
b2Joint * | m_prev
b2Joint * | m_next
b2JointEdge | m_edgeA
b2JointEdge | m_edgeB
b2Body * | m_bodyA
b2Body * | m_bodyB
int32 | m_index
bool | m_islandFlag
bool | m_collideConnected
void * | m_userData

## Friends
class | b2Joint

## Additional Inherited Members
Static Protected Member Functions inherited from b2Joint
static b2Joint * | Create (const b2JointDef *def, b2BlockAllocator *allocator)
static void | Destroy (b2Joint *joint, b2BlockAllocator *allocator)

## Detailed Description

A wheel joint. This joint provides two degrees of freedom: translation along an axis fixed in bodyA and rotation in the plane. You can use a joint limit to restrict the range of motion and a joint motor to drive the rotation or to model rotational friction. This joint is designed for vehicle suspensions.

The documentation for this class was generated from the following files:

- b2WheelJoint.h
- b2WheelJoint.cpp